Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024302
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POStrivialalways2013-07-10 12:182013-07-24 17:28
ReportersureshbabuView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revision023adbd94b62
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version1.6.0_18
OS VersionProfessional ApplianceDatabase version8.3.9Ant version1.7.1
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024302: [MULTI] Multiple orders payment allows the user to select both invoice, layaway option without any warning

Description[MULTI] Multiple orders payment allows the user to select both invoice, layaway option without any warning
Steps To Reproduce1) create a receipt with below product s

Baby Carrier 1(qty) : 110.50
Base Camp duffel 70L: 89.50
Total Gross amount: 200


2) Then without closing the above receipt, select option "Pay Open Tickets"
and select the above created Receipt and click Done button

3) Above selected receipt details will appear in the POS screen,

a) Then from menu option select Invoice this Receipt option

b) Click the order line item and enter the Layaway amount 100 and click Apply button.

4)Now one can find both Layaway option and Invoice options are selected in the same receipt.

Defect: Now try to pay the receipt, system completes the order with out any warning message with both Layaway option and Invoice options are selected in the same receipt.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0060065)
hgbot (developer)
2013-07-17 09:41

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 023adbd94b625655f85fd58779087699f0b80447
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jul 17 09:40:25 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/023adbd94b625655f85fd58779087699f0b80447 [^]

Fixed issue 24302: A warning is shown when a Layaway in Multiorder

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0060079)
hgbot (developer)
2013-07-17 14:38

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 1ff8fb80f6bf970698dc79dd05f2fc9146ae03f4
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jul 17 14:36:25 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/1ff8fb80f6bf970698dc79dd05f2fc9146ae03f4 [^]

Related issue 24302: Show only when trying to invoice it

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0060209)
guilleaer (developer)
2013-07-23 20:07

verified
(0060240)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 023adbd94b625655f85fd58779087699f0b80447
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jul 17 09:40:25 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/023adbd94b625655f85fd58779087699f0b80447 [^]

Fixed issue 24302: A warning is shown when a Layaway in Multiorder

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0060249)
hgbot (developer)
2013-07-24 13:41

Repository: erp/pmods/org.openbravo.retail.posterminal-col
Changeset: 1ff8fb80f6bf970698dc79dd05f2fc9146ae03f4
Author: Miguel de Juana <miguel.dejuana <at> openbravo.com>
Date: Wed Jul 17 14:36:25 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/1ff8fb80f6bf970698dc79dd05f2fc9146ae03f4 [^]

Related issue 24302: Show only when trying to invoice it

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
---
(0060274)
guilleaer (developer)
2013-07-24 17:28

reclosing

- Issue History
Date Modified Username Field Change
2013-07-10 12:18 sureshbabu New Issue
2013-07-10 12:18 sureshbabu Assigned To => guilleaer
2013-07-10 12:20 sureshbabu Summary Multiple orders payment allows the user to select both invoice, layaway option without any warning => [MULTI] Multiple orders payment allows the user to select both invoice, layaway option without any warning
2013-07-10 12:20 sureshbabu Description Updated View Revisions
2013-07-17 09:41 hgbot Checkin
2013-07-17 09:41 hgbot Note Added: 0060065
2013-07-17 09:41 hgbot Status new => resolved
2013-07-17 09:41 hgbot Resolution open => fixed
2013-07-17 09:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/023adbd94b625655f85fd58779087699f0b80447 [^]
2013-07-17 14:38 hgbot Checkin
2013-07-17 14:38 hgbot Note Added: 0060079
2013-07-23 20:07 guilleaer Review Assigned To => guilleaer
2013-07-23 20:07 guilleaer Note Added: 0060209
2013-07-23 20:07 guilleaer Status resolved => closed
2013-07-23 20:07 guilleaer Fixed in Version => RMP25
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060240
2013-07-24 13:41 hgbot Status closed => resolved
2013-07-24 13:41 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/023adbd94b625655f85fd58779087699f0b80447 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal-col/rev/023adbd94b625655f85fd58779087699f0b80447 [^]
2013-07-24 13:41 hgbot Checkin
2013-07-24 13:41 hgbot Note Added: 0060249
2013-07-24 17:28 guilleaer Note Added: 0060274
2013-07-24 17:28 guilleaer Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker